package com.springboot.app.JibberJabberRestAPI;


import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ControllerAdvice
public class JibberNotFoundAdvice {

    @ResponseBody
    @ExceptionHandler(JibberNotFoundException.class)
    @ResponseStatus(HttpStatus.NOT_FOUND)
    String jibberNotFoundHandler(JibberNotFoundException ex) {
        return ex.getMessage();
    }
}
