package com.springboot.app.JibberJabberRestAPI;


import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class JibberController {

    private final JibberRepository repository;


    public JibberController(JibberRepository repository) {
        this.repository = repository;
    }

    @GetMapping("/jibbers")
    List<Jibber> all() {return repository.findAll();}

    @PostMapping("/jibbers")
    Jibber newJibber(@RequestBody Jibber newJibber) { return repository.save(newJibber);}

    //single item(id)

    @GetMapping("jibbers/{id}")
    Jibber one(@PathVariable int id) {

        return repository.findById(id)
                .orElseThrow(() -> new JibberNotFoundException((id)));
    }
}
